== Changelog ==
= 5.1.3 - 2025-10-17 =
* Fix - Submenu toggle issue in mobile view.
* Fix - Video iframe not displayed in TG Videos Widget issue.
* Fix - Header builder social component default style issue.
* Fix - Header builder search and news ticker component issue.

= 5.1.2 - 2025-09-26 =
* Fix - Elementor Pro loading issue.
* Fix - Post meta not appearing issue.
* Fix - FTS video not displaying issue.
* Fix - Undefined array key "font-family".

= 5.1.1 - 2025-09-23 =
* Fix - Post meta not appearing issue.
* Fix - Narrow layout width issue.

= 5.1.0 - 2025-09-21 =
* Added - 6 new Typography Presets for font selection.
* Added - Option to add/delete custom color palettes.
* Added - "Header Media" as a top item in the customizer navigation.
* Added - "Site Identity" to the main customizer navigation list.
* Renamed - "Header Builder" to "Header".
* Renamed - "Content" to "Post Content".
* Renamed - "Footer Builder" to "Footer".
* Renamed - "Container" to "Layouts".
* Moved - "Page Element" options to respective menus.
* Moved - "Page Header" to "Post Content".
* Moved - "Breadcrumb" to "Additional".
* Moved - "Transparent Header" to "Header".
* Moved - "Sticky Header" to "Header".
* Moved - "Sticky Footer" to "Footer".
* Improved - Updated color palette design.
* Improved - Enhanced Color Palette presets.
* Improved - Set default colors for different sections to global colors.
* Improved - Global color handling in preset, color picker, and added tooltips for color name.
* Improved - Separated sidebar layout options into container and sidebar layout.
* Improved - Merged default layout from "Sidebar" and "Container" into "Layouts".
* Improved - Page-specific sidebar and container layout options to respective page in "Post Content"
* Improved - Page setting sidebar and container layout options to respective page
* Improved - Dark mode skin color handling.
* Improved - Redesigned Post Content blog section with tabbed design and layout options.
* Improved - Enhanced design of presets and tabs in "Page Header".
* Improved - Removed "Sidebar" in Global after moving its contents to respective places.
* Improved - Removed "Page Element" after moving its items to respective places.
* Improved - Removed "Header & Navigation" after moving its items to respective places.

= 5.0.30 - 2025-08-12 =
* Update      - Dashboard notice.
* Update      - General security measure.
* Fix         - Dashboard license detail issue.
* Fix         - Blue Sky social icon issue.
* Fix         - Footer now stays at the bottom on pages with minimal content.

= 5.0.29 - 2025-07-07 =
* Added       - Option to set site title and tagline visibility.
* Added       - Option to set logo size for responsive device.
* Fix         - Featured Category slider Elementor Widget warning issue.
* Fix         - Letter spacing issue in single post title typography.

= 5.0.28 - 2025-06-23 =
* Fix         - Typography slide issue.

= 5.0.27 - 2025-06-09 =
* Fix         - Typography slide issue.

= 5.0.26 - 2025-06-05 =
* Added       - Option to change search page style.
* Added       - Option to change global button border hover color.
* Fix         - Scroll to top option issue.
* Fix         - Page header issue.

= 5.0.24 - 2025-05-13 =
* Added       - Option to enable/disable page header.
* Added       - Option to change the widgets post title typography.
* Added       - Option to change NewsTicker label in header builder.
* Added       - Option to change Social icon color and style in header builder.
* Added       - Option to change full width search width, border width, border color and border radius.
* Added       - Option to change home icon normal and hover background color.
* Added       - Option to change full width search placeholder color.
* Added       - Option change NewsTicker width in header builder.
* Added       - Option to change category page number of post.
* Added       - Option to sortable single post element.
* Added       - Option to sticky footer element.
* Fix         - Toggle menu issue on customizer.
* Fix         - Elementor block widget 1 post number issue.
* Fix         - TG Featured Posts Style 4 Widget image issue.
* Fix         - Header builder widget 2 issue.

= 5.0.23 - 2025-05-06 =
* Added       - Option to change feature image size in blog page.
* Added       - Icon size option in random component of header builder.
* Added       - Option to change header builder primary menu active background color.
* Added       - Option to change breadcrumb label,link and active title color and typography.
* Added       - Option to change breadcrumb separator icon and color.
* Fix         - Image height issue in TG Featured Posts Style 4 Widget.
* Fix         - Header builder random component icon hover color issue.
* Fix         - Sticky header on scroll up issue.
* Fix         - Builder offset area issue.

= 5.0.22 - 2025-04-24 =
* Fix         - PHP warning.

= 5.0.21 - 2025-04-24 =
* Added       - Option to change form element color, focus color, border and typography globally.
* Added       - Option to disable the emoji scripts.
* Added       - Option to enable lazy load.
* Added       - Option to change global and input accessibility color.
* Added       - New Language Switcher component in header builder.
* Fix         - Black color issue.

= 5.0.20 - 2025-04-10 =
* Added       - Option to change color preset.
* Added       - Option to add custom color preset.
* Added       - Option to change header button preset.
* Added       - Option to add header button icon.
* Added       - Option to add separator between post meta.
* Added       - Option to add separator color.
* Added       - Option to change number pagination alignment.
* Fix         - Autoload post issue.

= 5.0.19 - 2025-03-31 =
* Added       - New Off Canvas header builder component.
* Added       - Option to change off canvas settings.
* Added       - New color switcher header builder component.
* Added       - New divider header builder component.
* Added       - New Logo footer builder component.
* Added       - New Button footer builder component.
* Added       - Option to enable full search in search component.
* Added       - Option to add custom font from Magazine Block Pro.
* Added       - Option to change News ticker animation.
* Update      - Modify page setting.

= 5.0.18 - 2025-03-26 =
* Added       - Option to enable social media brand color.

= 5.0.17 - 2025-03-25 =
* Fix         - Both sidebar responsive issue.
* Fix         - Sticky sidebar issue.
* Fix         - Embedded Block image size issue.
* Fix         - Viber icon issue.
* Fix         - Global button padding reset issue.
* Added       - Option to change left sidebar width.
* Added       - Option to reset typography controls.
* Added       - White label feature.
* Added       - ColorMag dashboard.

= 5.0.16 - 2025-02-28 =
* Fix         - Schema Option issue.
* Fix         - Mobile view border top color issue.
* Fix         - Option to enable Header Footer builder.
* Fix         - PHP Warnings.

= 5.0.15 - 2025-02-25 =
* Fix         - Plugin conflict with Classic Widgets.
* Added       - Option to enable and disable Widgets meta.
* Added       - Option to change the footer builder inner layout( Stack and Inline).

= 5.0.14 - 2025-02-04 =
* * Added - Option to change enable and disable feature image, title, tag and excerpt in Elementor widget.
* *Added - Option to change background color, padding and border radius in Elementor widget 6 and 7.
* *Added - Option to disable category, title and tag in Elementor Grid widget style 1.
* *Update - Freemius SDK to the latest version.

= 5.0.13 - 2025-01-27 =
* * Fix - Font awesomelink issue.

= 5.0.12 - 2025-01-21 =
* Fix - Widget view all button issue.
* Fix - Category translation issue on WPML.

= 5.0.11 - 2025-01-15 =
* Added - Option to change primary menu selected color.
* Added - Option to change footer builder row layout.
* Fix - Light box feature not working on the homepage.
* Fix - Widgets tag filter view all button issue.

= 5.0.9 - 2024-12-31 =
* Added - Option to change single post title typography.
* Added - Option to change news ticker content typography.
* Enhancement - Make the feature image a clickable link when the lightbox is disabled.
* Fix - News ticker issue in builder.
* Fix - Header media responsive display issue.
* Fix - Date format issue.

= 5.0.8 - 2024-12-23 =
* Fix - Elementor widget title color and background color issue.
* Fix - TG featured posts style 4 style issue.
* Fix - Image caption issue.
* Fix - Post and modified date design issue.

= 5.0.7 - 2024-12-19 =
* Added - Option to change widget view all button color, background and typography.
* Update - Compatibility with Elementor v3.26.
* Fix - TG: Widget style issue in footer.
* Fix - Breadcrumb enable issue.

= 5.0.6 - 2024-11-22 =
* Fix - TG: Widget style issue.
* Fix - Customizer section padding issue.

= 5.0.5 - 2024-11-20 =
* Added - Option to change feature image size.
* Enhancement - Compatibility with Page Builder by SiteOrigin.
* Fix - TG: * Featured Posts (Style 1 & Style 4) style issue.
* Fix - Post ate color issue.
* Fix - Sidebar sticky issue.
* Fix - Offset background color issue.

= 5.0.4 - 2024-11-15 =
* Added - Option to display both post and modified date.
* Fix - WordPress 6.7 customizer css issue.

= 5.0.3 - 2024-11-12 =
* Fix - Header media image issue.
* Fix - Logo remove option issue.
* Fix - Search icon color option issue.
* Fix - Font awesome link issue.

= 5.0.2 - 2024-11-11 =
* Fix - Mobile logo issue.
* Tweak - New image webp image format added.

= 5.0.1 - 2024-10-25 =
* Fix - Open Sans font issue.
* Fix - Customizer CSS issues while using Classic Widget.

= 5.0.0 - 2024-10-22 =
* Added - New Header builder.
* Enhancement - Introduced a new visual Header Builder with drag and drop functionality.
* Added - Header Builder component - Site Title and Logo.
* Enhancement - Option to change color and typography for Site Title and Logo.
* Enhancement - Option to change enable/disable for Site Title and Logo.
* Added - Header Builder component - Primary Menu.
* Enhancement - Option to change color, background, padding, margin and typography for primary menu component.
* Enhancement - Option to change sub menu color, background, padding, border etc.
* Added - Header Builder component - Secondary, Tertiary and Quaternary Menu.
* Enhancement - Option to change color and typography for secondary, tertiary and quaternary menu component.
* Enhancement - Option to change sub menu typography.
* Added - Header Builder component - Button.
* Enhancement - Option to change color, background, padding, border for button.
* Added - Header Builder component - Search.
* Added - Option to change search input color text and background color.
* Added - Option to change search icon color.
* Added - Header Builder component - HTML 1.
* Added - Option to change HTML 1 color, link color, font size, margin.
* Added - Header Builder component - Widget 1 and Widget 2.
* Added - Option to change Widget 1 and Widget 2 title and content color, link color and typography.
* Added - Header Builder component - Social.
* Added - Option to add new social icons.
* Added - Option to change all header row container width, height, color, background, padding, margin, border etc.
* Enhancement - UI/UX improvement in toggle, select, slider, radio-image, sortable, editor, typography, dimension, navigation and color control.
* Added - New customizer color Palette.
* Enhancement - Introduced reset to default option in all control.
* Enhancement - Customizer color picker.
* Enhancement - Customizer background control.
* Enhancement - Customizer Typography control.
* Added - New Footer builder.
* Enhancement - Introduced a new visual Footer Builder with drag and drop functionality.
* Added - Footer Builder component - HTML 1.
* Added - Option to change HTML 1 color, link color, font size, margin.
* Added - Footer Builder component - Widget 1, Widget 2, Widget 3, Widget 4, Widget 5, Widget 6 and Widget 7.
* Added - Option to change Widgets title and content color, link color and typography.
* Added - Footer Builder component - Menu 1.
* Added - Option to change Menu 1 color and typography.
* Added - Footer Builder component - Social.
* Added - Option to add new social icons.
* Added - Footer Builder component - Copyright.
* Added - Option to change copyright color, link color, typography, margin.
* Added - Option to change footer column for particular row.
* Added - Option to change all footer row container width, height, color, background, padding, margin, border etc.

= 4.1.12 - 2024-09-05 =
* Fix - TG:feature post style 3 and 5 title css issue.

= 4.1.11 - 2024-08-26 =
* Feature - Option to display/hide excerpt in TG:feature post style 3 and 5.
* Fix - Compatibility of ColorMag with Elementor Pro.
* Fix - Block Style Widget Content color.

= 4.1.10 - 2024-07-23 =
* Feature - Option to change mobile menu color and typography.
* Feature - Option to change mobile sub menu background color and typography.
* Fix - Header layout 2 style issue.
* Fix - WordPress 6.6 issue.

= 4.1.9 - 2024-07-11 =
* Feature - Option to change primary section widget title typography.
* Feature - Option to display/hide excerpt in TG:feature post style 3 and 5.
* Fix - Post navigation style 3 responsive issue.

= 4.1.8 - 2024-06-04 =
* Update - Fontawesome V4 to V6.
* Update - Compatibility with WPML plugin.
* Fix - Image reveal class PHP issue.
* Fix - WooCommerce responsive issue.

= 4.1.7 - 2024-04-23 =
* Feature - To add discord social icon.
* Feature - Option to change news ticker direct left and right.
* Feature - Highlight Post Text Color option on widget.
* Feature - Lightbox on blog post images.
* Fix - Documentation links.
* Fix - Get large feature image size for no sidebar layout.

= 4.1.6.1 - 2024-04-02 =
* Fix - Color Picker Issue due to google analytics plugin.

= 4.1.6 - 2024-04-02 =
* Fix - Author Displaying latest post.
* Feature - Display post title below image in featured post.
* Feature - To change post date type.
* Feature - To change enable scroll to top.
* Feature - To change scroll to top background and color.
* Option - Display/Hide Categories.
* Option - Display/Hide Categories for small grid posts.
* Option - Footer Background.
* Fix - Trending News Widget Title Color and Background.
* Option - Color and Background Color for Trending News.
* Fix - Random Post Widget sidebar title color.
* Fix - Block Style 6 title color.
* Fix - Trending News navigation button design.
* Option - Upper Footer title color.
* Option - News Ticker Label Background.
* Option - News Ticker div background.
* Option - Footer Link Color.
* Fix - Navigation dropdown parent color on active.

= 4.1.5 - 2024-03-05 =
* Option - To change sidebar width.
* Fix - Primary menu background on contained main header.
* Fix - Widgets select author issue.

= 4.1.4 - 2024-02-23 =
*Add - Font awesome V6.2.4 support.

= 4.1.3 - 2024-02-22 =
*Add - To change global button hover color.
*Add - To change primary menu border top width.
*Add - To change button background hover color.
*Add - To change sortable of post elements.
*Add - To change blog post title typography.
*Add - Option in elementor grid style 5 widget.
*Add - Option in elementor grid style 8 widget.
* Fix - Swiper compatibility.
* Fix - Elementor widget category spacing issues.

= 4.1.2 - 2023-12-27 =
* Fix - Author bio not displaying on frontend.
* Fix - Breadcrumb option visible even when disabled.
* Fix - Migration notice issues.

= 4.1.1 - 2023-12-13 =
* Fix - Category slider overlapped on tablet and mobile view issue.
* Fix - Image caption alignment issue in editor.
* Fix - Page title tag issue.
* Fix - Single post headings tag issue.

= 4.1.0 - 2023-12-12 =
* Fix - Php error on dashboard widgets area.
* Fix - Blog layout 2 Style 1 featured image size issue.

= 4.0.9 - 2023-10-18 =
* Fix - Default headings line height issue.
* Fix - Spacing issue in editor.
* Fix - PHP error on search results page.

= 4.0.8 - 2023-09-20 =
* Fix - Sub menu design issue.

= 4.0.7 - 2023-09-06 =
* Fix - Typography control freeze when clicked on reset issue.

= 4.0.6 - 2023-08-22 =
* Feature - Header action icon color option.
* Feature - Mobile menu toggle icon color option.
* Feature - Upper footer widget background color option.

= 4.0.5 - 2023-08-15 =
* Fix - Max Mega Menu plugin design issue.
* Fix - Post tags meta design issue.
* Fix - Footer menu hover color option.
* Fix - Footer column design issue.
* Fix - Navigation menu responsive icon issue.
Remove - Major update notice via dashboard.


= 4.0.4 - 2023-07-19 =
* Fix - Left sidebar content responsive issue.
* Fix - Post Video format play button position issue.
* Fix - Pagination enable/disable option issue.

= 4.0.3 - 2023-07-05 =
* Fix - Category color design issue.
* Fix - Navigation sub-menu design issue.
* Update - Freemius SDK.

= 4.0.2 - 2023-06-22 =
* Fix - Scrollbar color.
* Fix - Category slider issue when post count set to 1.
* Fix - Author Bio box design issue.
* Update - Default typography value.

= 4.0.1 - 2023-06-20 =
* Fix - Highlighted post widget clickable issue.
* Fix - Various design issue in button block.
* Fix - Single post navigation width issue.
* Fix - Permalink not appearing on comment section.

= 4.0.0.5 - 2023-06-19 =
* Fix - * Featured Category slider issue on refresh.
* Fix - Wrd break issue.

= 4.0.0.4 - 2023-06-18 =
* Fix - Missing deprecated functions issue.

= 4.0.0.3 - 2023-06-17 =
* Fix - Single post hidden issue in featured category slider widget.
* Fix - Gutenberg editor skin color.
* Fix - Dashboard notice dismiss button issue.
* Fix - Missing commenter author name.

= 4.0.0.2 - 2023-06-16 =
* Fix - JS/CSS files minification.
* Fix - Left sidebar issue on responsive.

= 4.0.0.1 - 2023-06-16 =
* Fix - Two sidebar layout issue.
* Fix - Tag links design issue.
* Fix - Release notice dismiss issue.
* Fix - Load More button primary color issue.
* Fix - Post Meta primary color issue.
* Tweak - Minor change.

= 4.0 - 2023-06-15 =
* Enhancement - Overall UI/UX improvements of frontend side of the theme.
* Enhancement - Responsiveness and mobile-first design.
* Enhancement - Introduced SVG icons for speed and better design.
* Enhancement - * Improvements and issues fixes in dark mode design.
* Enhancement - Bog, Post content, meta, CTA button.
* Fix - Design issues in post comments section.
* Enhancement - Related posts slider.
* Enhancement - Search no result found page design.
* Enhancement - * Fixed design issues in 404 page and improved for the betterment.
*Enhancement - Improved design for forms fields.
* Enhancement - Overall layout/design improvement in header area.
* Enhancement - Mobile menu design.
* Enhancement - Improved header search.
* Fix - News ticker alignment issue in mobile devices.
* Fix - Top bar responsive issues.
* Enhancement - Overall layout/design improvement in footer area.
* Fix - Footer area responsive issues.
* Enhancement - WordPress default blocks/widgets design.
* Enhancement - Improved Block Editor design.
* Fix - Search widget design issue.
* Enhancement - ColorMag custom widgets design: consistency, spacing, responsiveness.
* Enhancement - Overall accessibility improvements as per WordPress standards.
* Enhancement - More accessible styles for links.
* Enhancement - Maintained contrast of elements via Color, sizes, spacing.
* Enhancement - Attention to typography for readability by applying hierarchy, consistency, and white spaces.
* Enhancement - WooCommerce pages design revamp.
* Enhancement - Improved product boxes.
* Fix - Various design issues including responsiveness in WooCommerce pages.
* Enhancement - Overall UI/UX of customizer controls.
* Enhancement - Improved design of icons used in radio image control.
* Enhancement - Use toggle control instead of checkboxes.
* Enhancement - Introduced unit selector, slider in typography control.
* Enhancement - UX improvement in responsive switcher setting.
* Enhancement - Use of toggle instead of eye icon inside sortable control.
* Enhancement - Introduced unit selector and progress bar indicator in the slider control.
* Feature - Option of unsortable items inside sortable control.
* Feature - Introduced input binding setting in dimension control.
* Feature - Introduced input binding and unit selector setting in dimension control.
* Added - Introduced new subheadings control.
* Enhancement - Refactored options arrangements for better user experience.
* Enhancement - Consistency on layout and style options.
* Enhancement - * Updated strings used for customizer options for clarity.
* Enhancement - Btter file/folder organization.
* Tweak - Improved Coding Standards.
* Tweak - PHP OOP way code implementation.
* Enhancement - Mobile-first CSS.
* Enhancement - Proper CSS Reusability implementation for less code.
* Enhancement - Use of CSS flex/grid properties instead of float.
* Enhancement - Use of CSS variables.
* Enhancement - Overall CSS transition on events.

= 3.5.1 - 2023-03-21 =
* Fix    - Design issues on search while dark skin color.
* Update - Freemius SDK.

= 3.5.0 - 2023-01-31 =
* Fix - Social icon spacing issue in header.
* Fix - Mobile menu design issue.
* Fix - Container width issue in header.

= 3.4.9 - 2023-01-30 =
* Tweak   - Design improvements on header.
* Feature - Option to change primary menu padding.

= 3.4.8 - 2023-01-11 =
* Fix - Php error.

= 3.4.7 - 2023-01-09 =
* Fix - Php error.

= 3.4.6 - 2023-01-04 =
* Integration - Magazine Blocks plugin.
* Tweak       - Improvements on page builder template.
* Fix         - Alignment issue in header classic layout.

= 3.4.5 - 2022-11-17 =
* Feature - Option to change container width.
* Fix     - Scroll to top button not appearing while enabling from customizer option.
* Fix     - Top header enlarge issue on page load.
* Fix     - Primary menu not centered while 3rd header style.

= 3.4.4 - 2022-10-20 =
* Fix - Option to show/hide pagination in Elementor widgets not working.
* Fix - Swiper issue in trending news widget.
* Fix - Swiper issue in grid style 7 widget.

= 3.4.3 - 2022-08-22 =
* Add - Option to load Google fonts locally.

= 3.4.2 - 2022-07-29 =
* Fix - Design issues on top bar while dark skin color.

= 3.4.1 - 2022-07-22 =
* Tweak   - Change `Load Next Post` to `Autoload Posts` single post feature.
* Feature - Autoload posts filter.
* Fix     - Menu item border bottom color not affected by primary color option.

= 3.4.0 - 2022-07-08 =
* Enhancement - Infinite scroll and autoload next post dynamic URL on post/s load.
* Update      - Header field `Tested up to` to 6.0.

= 3.3.9 - 2022-07-05 =
* Fix - Compatibility issue with plugins due to customizer editor control.

= 3.3.8 - 2022-06-22 =
* Tweak - Load default fonts locally.

= 3.3.7 - 2022-05-11 =
* Feature      - Buttons dimension and border options.
* Improvements - Header top bar design and CSS code refactor.

= 3.3.6 - 2022-05-04 =
* Fix - Breadcrumb schema error.

= 3.3.5 - 2022-04-28 =
* Fix - Option for hiding blog/static page on front page not working on certain condition.

= 3.3.4 - 2022-04-18 =
* Feature - Add typography and color options for breaking news section in header.
* Fix     - Video post format issue on widgets, single post and archive page.
* Fix     - Featured image not showing in a single post.

= 3.3.3.1 - 2022-03-25 =
* Update  - Freemius SDK.

= 3.3.3 - 2022-03-25 =
* Fix - Elementor\Scheme_Color is deprecated.
* Fix - _register_controls is deprecated.
* Fix - who is deprecated.

= 3.3.2 - 2022-03-24 =
* Feature  - Custom breadcrumb.
* Fix      - CLS (Cumulative Layout Shift) issue on header while page load.
* Fix      - Menu item alignment issue while changing the font size.
* Refactor - SCSS files and folders.

= 3.3.1 - 2022-03-02 =
* Feature - Option for filtering Flyout Related Posts by date.
* Update  - Freemius SDK.

= 3.3.0 - 2022-02-01 =
* Fix - Video appearing twice while video Post Format.
* Fix - Undefined index notice while choosing certain font family.

= 3.2.9 - 2022-01-20 =
* Fix - TG: Exchange widget displaying multiple exchange currencies.

= 3.2.8 - 2022-01-05 =
* Fix - API key error on TG: Exchange Widget.

= 3.2.7 - 2022-01-03 =
* Fix   - CSS issue for Header center alignment option and search field.
* Tweak - Allow post related HTML tags for widget's post title.

= - 3.2.6 -2021-12-27 =
* Tweak - Allow post related HTML tags for Blog post title.
* Fix   - Issue on Style Customizer addon of Everest Forms plugin.
* Add   - Be Vietnam Pro font in Customizer typography.

= - 3.2.5 -2021-12-20 =
* Enhancement - Update control for customizer post meta show/hide options to sortable control.
* Feature     - Option for changing height of site logo.
* Feature     - Option for changing height of logo on menu bar.
* Feature     - Option for changing spacing of logo on menu bar.
* Fix         - Mobile menu dropdown and alignment issue.

= - 3.2.4 -2021-12-17 =
* Feature - Styling options for header top bar like color, background color.
* Feature - Header top bar full width option.

= - 3.2.3 -2021-11-01 =
* Feature - Option for adding logo on menu bar.

= - 3.2.2 -2021-10-05 =
* Fix - Color opacity option in customizer not working properly.
* Fix - Image not being loaded on infinite scroll.

= - 3.2.1 -2021-09-06 =
* Fix - Checkbox and Dropdown issue in widgets.
* Fix - Background color customizer option not working properly.

= - 3.2.0 -2021-08-13 =
* Feature     - Option to load next post in a single post.
* Enhancement - Added CSS font-display property and swap value for better performance.

= - 3.1.9 -2021-08-02 =
* Feature - Option to load infinite posts on scroll.
* Fix     - Post entry title alignment issue.

= - 3.1.8 -2021-07-29 =
* Enhancement - Show featured image with play icon for post format: video.
* Fix         - Reading time meta not appearing on some languages.

= - 3.1.7 -2021-07-22 =
* Fix     - Scroll not working poperly when Sticky Sidebar and Breadcrumb options are enabled.
* Feature - Option for smooth load of images on page load and scroll.

= - 3.1.6 -2021-07-13 =
* Feature - Customizer option to limit number of words of post titles in blog/archive pages.

= - 3.1.5 -2021-06-16 =
* Feature - Customizer option for numbered pagination in blog/archive pages.

= - 3.1.4 -2021-06-04 =
* Feature - Introducing infinite scroll to posts feed.
* Fix     - Customizer option for body font family is not affecting post paragraph.

= - 3.1.3 -2021-05-26 =
* Feature - Option to show menu in top bar.
* Fix     - Elementor's Text Editor widget's font size overridden by theme.

= - 3.1.2 -2021-04-01 =
* Feature - Widget Post Title Markup option.
* Feature - Option to change Breadcrumb label.
* Fix     - Footer background color option not working.

= 3.1.1 - 2021-03-18 =
* Fix - Widget Title Markup option not working for TG widgets.
* Add - Option to display Social Icons on Menu Bar.

= 3.1.0 - 2021-03-09 =
* Feature - Widget Title Markup option.
* Fix 	  - Sticky Sidebar option not working while two sidebars layout.
* Fix 	  - Social Share Icon not loading when enabled.

= 3.0.9 - 2021-02-03 =
* Feature - Two sidebar layout options.
* Feature - Read More show/hide option.
* Feature - Option to change link color.
* Add     - 3, 4 Column option for Grid layout.
* Add 	  - Grid Style 1 Meta show/hide option.

= 3.0.8 - 2020-12-16 =
* Tweak - Update footer credit link with `rel="nofollow"` attributes.
* Fix   - jQuery deprecated message in some of the theme custom JS files.

= 3.0.7 - 2020-12-09 =
* Feature - Option to change Excerpt More Text.
* Feature - Option to Stretch Front Page: Top Full Width Area.
* Added   - New Demo (ColorMag General News).
* Added   - New Demo (ColorMag Pro City).

= 3.0.6 - 2020-11-12 =
* Fix - Customizer Typography Control not loading Google Fonts.

= 3.0.5 - 2020-10-21 =
* Enhancement - Customizer design.
* Feature     - Option to enable/disable social share icons individually.
* Remove      - Google Plus social share icon option.

= 3.0.4 - 2020-10-07 =
* Feature - Retina logo option.
* Fix     - Flyout related post design issue.
* Fix     - jQuery deprecated warning in meta-boxes.js file.

= 3.0.3 - 2020-09-28 =
* Fix - Search form result display for specific language when using Polylang plugin.
* Fix - Alpha color selector design issue on custom customize controls.

= 3.0.2 - 2020-09-16 =
* Tweak - Updated `Tested up to` to 5.5
* Fix - Link in slider not working on certain devices in Chrome
* Added - New Demo (ColorMag Pro Universal Market News) - Use this ColorMag demo to provide marketing news and information on your online magazine.

= 3.0.1 - 2020-08-21 =
* Fix - Slider loading issue on TG: Featured Posts(Style 5) and TG: Featured Posts(Style 7) widget

= 3.0.0.1 - 2020-08-18 =
* Fix - Primary color issue

= 3.0.0 - 2020-08-17 =
* Refactor  - Customize controls.
* Refactor  - Customizer sections and options.
* Fix       - Slider not working in Featured Post Style 5 widget.
* Deprecate - Demo config via theme.
* Deprecate - Display of share count on sharing feature.
* Added     - New Demo (ColorMag Pro Gossip) - Use this premium ColorMag demo if you want to create a trending online magazine for gossips.
* Added     - New Demo (ColorMag Pro Good News) - This premium ColorMag demo can be used to create an online magazine all about babies.
* Added     - New Demo (ColorMag Pro World TV) - Use this premium ColorMag demo if you want to create an online magazine based on TV
* Added     - New Demo (ColorMag Pro Community) - Create your fabulous community based online magazine with this premium ColorMag demo.
* Added     - New Demo (ColorMag Pro News Portal) - Use this premium ColorMag demo to create an informative news and magazine website.

= 2.4.8 - 2020-08-08 =
* Enhancement - Links CSS transition.
* Remove      - Unused codes.

= 2.4.7 - 2020-06-05 =
* Fix    - Responsive video embeds.
* Update - Freemius SDK.

= 2.4.6 - 2020-05-27 =
* Add         - Required header fields: `Tested up to` and `Requires PHP` in style.css.
* Enhancement - Gutenberg compatibility

= 2.4.5 - 2020-04-17 =
* Added - New Demo (ColorMag Pro Public News) - Use this ColorMag Pro demo to create your informative news magazine website.
* Added - New Demo (ColorMag Pro Public News v2) - Create your informative and enlightening public news website with this ColorMag demo.
* Fix - PHP array_multisort() warning on tabbed widget.

= 2.4.4 - 2020-03-10 =
* Added - New Demo (ColorMag Pro BeFit) - Use this ColorMag demo to create your website for fitness enthusiasts.
* Fix - Slide options for Grid Style 7 and Trending News Elementor Elements.
* Fix - Comment tab in TG: Tabbed widget linking to comment box when viewed single page and posts where commenting is available.
* Feature - Add option to order the tabbed widget content.


= 2.4.3 - 2020-02-19 =
* Tweak - Minor Enhancement.

= 2.4.2 - 2020-01-22 =
* Added - New Demo (ColorMag Pro Online News) - Use this ColorMag demo to create your online news website.
* Fix - Heading tag for archive title when custom category color is set to better handle SEO.
* Tweak - Deprecate Custom CSS customize option provided via theme

= 2.4.1 - 2019-09-23 =
* Fix - Metabox toggle for Video URL on Video post format select for Gutenberg editor.
* Tweak - Modify menu CSS for keyboard accessibility.
* Tweak - Modify self hosted Header Video CSS to align center.
* Enhancement - License shifted from WooCommerce to Freemius

Enhancement - License shifted from WooCommerce to Freemius.

= 2.4.0 - 2019-07-29 =
* Fix - Random posts and Search icon position in menu.
* Fix - Comment form boxes design.
* Fix - User consent design for comment form.
* Fix - Published and Updated class for Google Structured Data.
* Fix - Featured Posts widget image margin when used with Elementor.
* Fix - Featured image alignment on featured posts widget for RTL support.
* Fix - Auto Load Next Posts plugin theme support.
* Tweak - CSS change for Elementor Block Elements.
* Tweak - Update `screen-reader-text` CSS.
* Tweak - Added `skip-link` to content area.
* Tweak - Autofocus on search field for click on search icon toggle button in menu.
* Tweak - Remove display of `Comments Off` message, if comment is off within featured posts widget.
* Tweak - Added `wp_body_open` function to support WordPress 5.2 `wp_body_open` hook.

= 2.3.9 - 2019-05-16 =
* Feature - Option to align the footer copyright, footer menu and social icons.
* Tweak   - Added translation files for various language sets.

= 2.3.8.1 - 2019-03-21 =
* Fix - Undefined colormag_ticker_settings.

= 2.3.8 - 2019-03-19 =
* Tweak  - Added option to disable post details in TG: Category slider widget
* Tweak  - Added option to disable post navigation
* Tweak  - Separate customize control class via different file
* Tweak  - Modify pingback url autodiscovery for single posts, pages, or attachments.
* Update - StickyJS library to 1.0.4
* Update - BxSlider to 4.2.15

= 2.3.7 - 2019-01-14 =
* Feature - Added option to change excerpt length
* Feature - Added option to change flyout related post title
* Feature - Added option to change Reading progress bar color
* Feature - Added option to make link in advertisement widget to be dofollow
* Fix - Gallery padding for Gutenberg
* Tweak - Update query for selecting author in available TG: Featured Posts widget, which in some server created issue.

= 2.3.6 - 2018-11-19 =
* Added - Gutenberg compatibility

= 2.3.5 - 2018-11-01 =
* Update - Use Fixer API in Currency Exchange widget

= 2.3.4 - 2018-10-04 =
* Tweak - WPML compatibility for Site Logo, Header Image, Background Image and Header Video.
* Remove - Backward compatible for favicon.
* Remove - Backward compatible for header logo.
* Deprecate - TG: Weather widget forecast days.

= 2.3.3 - 2018-08-28 =
* Fix - Menu toggle tag
* Feature - Added related post design option
* Feature - Added author bio design option
* Feature - Added post navigation design option
* Feature - Added post date display type option
* Tweak - Demo importer theme page

= 2.3.2 - 2018-06-29 =
* Fix - Highlighted posts widget design issue for smaller devices
* Fix - Image upload issue in advertisement widgets for customizer option

= 2.3.1 - 2018-06-21 =
* Fix - Remove display of featured image in gallery and video post format
* Fix - Remove slider arrows when only one post is chosen in TG: Featured Category Slider widget
* Feature - Added Trending News elementor block
* Feature - Added Block 10 elementor block

= 2.3.0 - 2018-05-31 =
* Feature - Added system fonts in typography options

= 2.2.9 - 2018-05-24 =
* Feature - Added option to display social link in header, footer or both header and footer location
* Feature - Added title link option in colormag elementor widgets
* Feature - Added reading time display option
* Feature - Added footer full width sidebar area
* Feature - Added flyout related posts

= 2.2.8 - 2018-05-09 =
* Feature - Added option to display 3 or 6 related posts
* Feature - Added featured image disable option for single post page
* Feature - Added featured image display option for single page
* Feature - Added background image clickable option
* Feature - Added new WooCommerce sidebar areas to be used for WooCommerce pages
* Feature - Added title to be displayed above featured image in single post page

= 2.2.7 - 2018-04-20 =
* Added - New tab option in CTA
* Feature - Added option in Elementor widgets to be filtered via Tags and Author
* Feature - Added option in Elementor widgets to have Ajax Pagination
* Feature - Added footer background image option

= 2.2.6 - 2018-03-20 =
* Fix - WPML issue for breaking news feature within theme,
* Fix - Slider anchors unclickable in Firefox browsers versioned 59+.

= 2.2.5 - 2018-03-15 =
* Fix - Search input styling.

= 2.2.4 - 2018-02-27 =
* Feature - NavXT and Yoast SEO BreadCrumb support
* Fix - Header layout ( Main Header Area Display ) design issue
* Fix - Touchscreen submenu double click issue in small screen
* Added - Dark skin theme feature
* Fix - Header breaking news speed issue
* Tweaks - Introduce customizer live preview and selective refresh feature.

= 2.2.3 - 2017-12-12 =
* Added - Scrollbar for fixed better responsive menu if overflow.
* Tweaks - Touch screen accessible submenu
* Added - Custom link to header image option
* Tweaks - Updated demo files
* Fix - GoogleMap console error while widget is not used.
* Tweaks - Changed the footer copyright information to use HTML editor introduced in WordPress 4.9
* Feature - Added Elementor plugin support
* Feature - Added Block 1 - 9 widgets for use within Elementor plugin
* Feature - Added Grid 1 - 9 widgets for use within Elementor plugin

= 2.2.2 - 2017-10-17 =
* Fix - PHP fatal error for empty GoogleMaps theme mods check for PHP version 5.5 and less

= 2.2.1 - 2017-10-16 =
* Feature - Added Google Maps widget
* Feature - Added header variation options
* Feature - Added footer variation options

= 2.2.0 - 2017-09-11 =
* Fix - TG: CTA widget not WPML compatible
* Tweaks - Introduce selective refresh for site title and description
* Feature - Added TG: Featured Videos Playlist widget
* Feature - Added reading position indicator for single post page
* Feature - Added option to display the content or excerpt in archive pages
* Feature - Added option to display the archive pages in full width or grid layout


= 2.1.9 - 2017-07-06 =
* Tweaks - Updated latest google fonts
* Tweaks - Updated BxSlider to version 4.2.12
* Tweaks - Updated Magnific Popup to version 1.1.0
* Tweaks - Updated Fitvids to version 1.2.0
* Tweaks - Updated Theia Sticky Sidebar to version 1.7.0
* Tweaks - Updated easytabs to version 3.2.0
* Tweaks - WooCommerce sidebar layout now utilizes the same sidebar area provided via the theme by default
* Tweaks - Image alt text added to the advertisement widgets provided via this theme
* Feature - Added option to reveal the menu on scroll up
* Feature - Schema Markup
* Feature - New Call To Action Widget
* Feature - New Weather Widget
* Feature - New Exchange Currency Widget
* Feature - Option to enable category color in menu

= 2.1.8 - 2017-04-27 =
* Feature - Added option to display the date in header set via WordPress date setting
* Tweaks - Support multiple instance of the Ajax Load More button in TG: Featured Posts (Style 3) widget
* Tweaks - Support the display of child category posts via the Ajax Load More button click in TG: Featured Posts (Style 3) widget
* Tweaks - Add theme support for WooCommerce 3.0's new gallery feature
* Feature - Added option to display the image caption just below the featured image in archive, search as well as the single post page
* Tweaks - Various CSS fixes

= 2.1.7 - 2017-03-03 =
* Feature - Added compatibility with Max Mega Menu plugin
* Feature - Added slider transition options in the theme bundled widgets
* Feature - Added option to display posts from certain category as well as slide options in breaking news widget
* Tweaks - Add support for customize selective refresh widgets
* Tweaks - Updated BxSlider to version 4.2.10

= 2.1.6 - 2017-01-17 =
* Feature - Option added to load more posts in TG: Featured Posts (Style 3) widget
* Added - Theme support for Auto Load Next Post plugin.
* Added - Option to display the latest post from specific category in breaking news section.
* Added - Option to display the previous and next post in single post page with title and its featured image.
* Added - Support for Video Headers introduced in WordPress 4.7.

= 2.1.5 - 2016-12-15 =
* Feature - Migrated the Custom Logo from theme options to the Site Logo in Site Identity section
* Added - Option to make the content area and sidebar area sticky.

= 2.1.4 - 2016-12-08 =
* Feature - Added the option to display the posts from child category of the chosen parent category in widgets
* Feature - Migrated the Custom CSS code added in theme settings to Additional CSS section introduced in WordPress 4.7

= 2.1.3 - 2016-12-02 =
* Fix - Display of the Site Logo if the the header logo is empty in Customize Options.

= 2.1.2 - 2016-11-23 =
* Feature - Added the Custom Site Logo feature introduced in WordPress 4.5
* Feature - Adds support for Site Icon introduced in WordPress 4.3
* Localization - Turkish translation added (100% complete)
* Localization - Danish translation added (43% complete)
* Localization - French (France) translation added (41% complete)
* Localization - Portuguese (Brazil) translation added (41% complete)
* Localization - Spanish (Spain) translation added (41% complete)
* Localization - Romanian translation added (41% complete)
* Localization - Indonesian translation added (41% complete)
* Localization - English (UK) translation added (41% complete)
* Localization - Dutch translation added (41% complete)
* Localization - Czech translation added (41% complete)
* Localization - German translation added (41% complete)
* Localization - Russian translation added (40% complete)
* Localization - Korean translation added (40% complete)
* Localization - English (Canada) translation added (40% complete)


= 2.1.1 - 2016-11-09 =
* Added - Option to enable the random posts in the theme bundled widgets
* Tweaks - FontAwesome icons updated to version 4.7.0
* Added - Option to display the View All button in the bundled widgets, which displays the posts from specific category chosen

= 2.1.0 - 2016-09-06 =
* Tweaks - TG: Featured Posts (Style 7) widget can now have full-width when no sidebar used.
* Tweaks - Enhancement for the media uploader scripts used in widgets.
* Added  - One click demo upload via dashboard

= 2.0.9 - 2016-11-09 =
* Fix - Unique post system for TG: Highlighted Posts widget and TG: Featured Posts (Style 4) widget.
* Tweaks - Added RTL language support

= 2.0.8 - 2016-11-09 =
* Option added to choose the layout for the archive pages.
* Fontawesome icons updated to version 4.6.3
* Footer copyright styling fixes done
* Magnific PopUp updated to version 1.1.0

= 2.0.7 - 2016-11-09 =
* Slider issue for long display of whitespace issue removed
* Theme is now compatible with WooCommerce.
* Feature added in the tabbed widget to display the popular post by either the comment count or the post view count.

= 2.0.6 - 2016-11-09 =
* Post format issue solved
* Better script handling done for widgets enqueued scripts
* SEO Optimization done
* Added option to change the default Read more text
* Sanitization functions for Customizer radio and select options changed
* Added feature to enable/disable the post meta individually as well as totally
* Language POT file updated

= 2.0.5 - 2016-11-09 =
* Updated FontAwesome icons to version 4.5.0
* Magnific-Popup updated to version 1.0.1
* Stickyjs updated to version 1.0.3
* Content width is now adjusted according to the layout choosed.
* Unique post system feature added for bundled widgets
* Screenshot changed
* JetPack infinite scroll feature added
* Option added to have the author bio section link to author page
* Added the option to disable the Scroll to top button.

= 2.0.4 - 2016-11-09 =
Fixed
* Slider images all showing vertically at initial load fixed.
* All posts titles showing vertically at initial load fixed.
* WordPress default gallery alignment issue fixed.
Enhancement
* Added rel="nofollow" on the Advertisement widgets.
* Combined and Minified CSS/JS Files.
* Enqueued CSS/JS files from Widget.
* Optimized WPQuery by removing unnecessary arguments.
* Utilize transients API to speed up theme.
* Responsiveness adjustment done for WordPress default gallery.

= 2.0.3 =
* Norwegian language file added. Thanks to Mr. Clay Kristoffer Gressli for providing the language files.
* Russian language file added. Thanks to Mr. Kirill Berezin for providing the language files.
* Language Pot File Updated.

= 1.0.2 =
* Fixed: Slider multiple navigation appearing issue.
* Adjustment: Typography: Defination lists/items, heading titles.
* Fixed: TG: Featured Posts (Style 6), posts not appearing when posts count is less than number of posts entered in option issue.
* Removed deprecated function for WP_Widget class and used the __construct() instead as per WordPress 4.3
* Date translation issue fixed.
* FontAwesome icons is updated to 4.4.0
* HTML5Shiv js is updated to 3.7.3

= 1.0.1 =
* Added the updated class for Google Structured Data.
* Added HTML5 Markup theme support.
* Styling fix for menu while menu is non-sticky.
* Styling fix for breaking news bar in menu-below position.

= 1.0 =
* All brand new.

